## ros-galactic-ament-cmake-google-benchmark 1.1.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ament_cmake_google_benchmark NONE)

# find dependencies
find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_export_dependencies REQUIRED)
find_package(ament_cmake_python REQUIRED)

ament_python_install_package(${PROJECT_NAME})

ament_export_dependencies(ament_cmake_test)

ament_package(
  CONFIG_EXTRAS "${PROJECT_NAME}-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros-galactic-ament-cmake-google-benchmark (1.1.6-1focal) focal; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-ament-cmake-google-benchmark (1.1.5-1focal) focal; urgency=high

  * Update maintainers (backport #362 <https://github.com/ament/ament_cmake/issues/362>) (#370 <https://github.com/ament/ament_cmake/issues/370>).
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-galactic-ament-cmake-google-benchmark (1.1.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 May 2021 07:00:00 -0000

ros-galactic-ament-cmake-google-benchmark (1.1.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 09 Mar 2021 08:00:00 -0000

ros-galactic-ament-cmake-google-benchmark (1.1.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 27 Feb 2021 06:59:00 -0000

ros-galactic-ament-cmake-google-benchmark (1.1.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 27 Feb 2021 03:12:00 -0000

ros-galactic-ament-cmake-google-benchmark (1.1.0-1focal) focal; urgency=high

  * Serialize benchmarks within CTest by default (#308 <https://github.com/ament/ament_cmake/issues/308>)
  * Contributors: Scott K Logan

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 24 Feb 2021 08:00:00 -0000

ros-galactic-ament-cmake-google-benchmark (1.0.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-ament-cmake-google-benchmark (1.0.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Dec 2020 08:00:00 -0000

ros-galactic-ament-cmake-google-benchmark (1.0.2-1focal) focal; urgency=high

  * Handle runtime failures in Google Benchmark (#294 <https://github.com/ament/ament_cmake/issues/294>)
    This change will handle runtime failures in Google Benchmark by
    propagating error information from Google Benchmark to both CTest and
    the Jenkins benchmark plugin.
  * Use consistent string format and resolve flake8 (#295 <https://github.com/ament/ament_cmake/issues/295>)
    Follow-up to a5fb3112b5c46c42b1824c96af4171d469eb13bf
  * Make ament_cmake_test a dep of ament_cmake_google_benchmark (#293 <https://github.com/ament/ament_cmake/issues/293>)
  * Catch JSONDecodeError and printout some debug info (#291 <https://github.com/ament/ament_cmake/issues/291>)
  * Update package maintainers. (#286 <https://github.com/ament/ament_cmake/issues/286>)
  * Contributors: Michel Hidalgo, Scott K Logan, brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 07 Dec 2020 08:00:00 -0000

ros-galactic-ament-cmake-google-benchmark (1.0.1-1focal) focal; urgency=high

  * Make AMENT_RUN_PERFORMANCE_TESTS a CMake option (#280 <https://github.com/ament/ament_cmake/issues/280>)
  * Skip performance tests using a CMake variable (#278 <https://github.com/ament/ament_cmake/issues/278>)
    These tests can be fairly heavy, so we don't want to run them by
    default. It would be better if there was a way to skip the tests by
    default in such a way that they could be specifically un-skipped at
    runtime, but I can't find a mechanism in CMake or CTest that would allow
    us to achieve that behavior without leveraging environment variables.
  * Handle Google Benchmark 'aggregate' results (#276 <https://github.com/ament/ament_cmake/issues/276>)
    Previously, I assumed all results generated by Google Benchmark were of
    'iteration' type. Now that I have more experience with Google Benchmark,
    I've started generating aggregate results, which contain some different
    properties.
    This change adds support for aggregate results and should make it easy
    to add any other result schemas we encounter in the future. For
    forward-compatibility, unsupported types will generate a warning message
    but will not fail the test. This makes the conversion tolerant to Google
    Benchmark adding new measures for existing mechanisms.
  * Initial Google Benchmark results conversion (#275 <https://github.com/ament/ament_cmake/issues/275>)
  * Contributors: Scott K Logan

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Sep 2020 07:00:00 -0000

ros-galactic-ament-cmake-google-benchmark (1.0.0-1focal) focal; urgency=high

  * Handle missing results file for Google Benchmark (#265 <https://github.com/ament/ament_cmake/issues/265>)
  * Initial ament_cmake_google_benchmark package (#261 <https://github.com/ament/ament_cmake/issues/261>)
  * Contributors: Scott K Logan

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Jul 2020 07:00:00 -0000

ros-galactic-ament-cmake-google-benchmark (0.9.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 23 Jun 2020 07:00:00 -0000

ros-galactic-ament-cmake-google-benchmark (0.9.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 02 Jun 2020 07:00:00 -0000

ros-galactic-ament-cmake-google-benchmark (0.9.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-ament-cmake-google-benchmark (0.9.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 May 2020 07:00:00 -0000

ros-galactic-ament-cmake-google-benchmark (0.9.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 07 May 2020 07:00:00 -0000

ros-galactic-ament-cmake-google-benchmark (0.9.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Apr 2020 22:45:00 -0000

ros-galactic-ament-cmake-google-benchmark (0.9.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Apr 2020 19:25:00 -0000

ros-galactic-ament-cmake-google-benchmark (0.8.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000



=== debian/control ===
Source: ros-galactic-ament-cmake-google-benchmark
Section: misc
Priority: optional
Maintainer: Michael Jeronimo <michael.jeronimo@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake-core, ros-galactic-ament-cmake-export-dependencies, ros-galactic-ament-cmake-python, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-ament-cmake-google-benchmark
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-ament-cmake-test, ros-galactic-google-benchmark-vendor, ros-galactic-ros-workspace
Description: The ability to add Google Benchmark tests in the ament buildsystem in CMake.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-ament-cmake-google-benchmark//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
